View Issue Details

IDProjectCategoryView StatusLast Update
0000225Perl for OS/2public2008-12-01 23:05
ReporterchenneckeAssigned Topsmedley 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionopen 
Summary0000225: Perl 5.8.8: Cannot install Module::Build
DescriptionTrying to install Module::Build fails with

[E:\Module-Build-0.2808]perl makefile.pl
# running Build.PL
E:/PERL/BIN/PERL.EXE Build.PL
Checking whether your kit is complete...
Looks good

Checking prerequisites...
Invalid prerequisite condition '0' for ExtUtils::Install at lib/Module/Build/Bas
e.pm line 1234.
Couldn't run Build.PL: at lib/Module/Build/Compat.pm line 200, <DATA> line 547.

I've installed ExtUtils::Install though.

This is a major problem since most modern Perl add-ons require Module::Build for installation.
TagsNo tags attached.

Activities

psmedley

2007-12-27 19:04

administrator   ~0000787

Please try with Perl 5.10.0 - released today.

chennecke

2007-12-28 00:05

reporter   ~0000789

The good news is that many modules that I need are already included now. The bad news is that calling any Perl script fails with something like this:

E:/txt2html-2.50>perldoc perlmodinstall
Feature bundle "5.0.0" is not supported by Perl 5.10.0 at e:/perl5/lib/5.10.0/Pod/Perldoc.pm line 3
BEGIN failed--compilation aborted.
Compilation failed in require at e:/perl5/lib/5.10.0/Carp.pm line 14.
Compilation failed in require at e:/perl5/lib/5.10.0/feature.pm line 206.
BEGIN failed--compilation aborted at e:/perl5/lib/5.10.0/Pod/Perldoc.pm line 3.
BEGIN failed--compilation aborted at e:/perl5/lib/5.10.0/Pod/Perldoc.pm line 3.
Compilation failed in require at E:\PERL5\BIN/perldoc. line 9.
BEGIN failed--compilation aborted at E:\PERL5\BIN/perldoc. line 9.

psmedley

2007-12-28 02:35

administrator   ~0000790

Running:
D:\txt2html-2.50]perl d:\perl5\bin\perldoc perlmodinstall

works for me.

You don't have a stray PERLLIB_PREFIX interfering with things?

chennecke

2007-12-28 04:34

reporter   ~0000791

No. I also checked for duplicates of executables and DLLs. Nothing of that sort. Could there be something missing from the archive?

psmedley

2007-12-28 07:17

administrator   ~0000792

Well my test on d: was done using the distribution zip...

You do have a /bin/sh.exe ?

chennecke

2007-12-28 09:09

reporter   ~0000793

Yes, it's the one from the Perl 5.8.8 distribution. I ran unzip -t on the 5.10.0 distribution zip - no errors.

Issue History

Date Modified Username Field Change
2007-11-11 01:20 chennecke New Issue
2007-12-27 19:04 psmedley Note Added: 0000787
2007-12-27 19:04 psmedley Assigned To => psmedley
2007-12-27 19:04 psmedley Status new => feedback
2007-12-28 00:05 chennecke Note Added: 0000789
2007-12-28 02:35 psmedley Note Added: 0000790
2007-12-28 04:34 chennecke Note Added: 0000791
2007-12-28 07:17 psmedley Note Added: 0000792
2007-12-28 09:09 chennecke Note Added: 0000793
2008-12-01 23:05 psmedley Project Other Unix Port => Perl for OS/2